aboutsummaryrefslogtreecommitdiffstats
path: root/main/gtk+2.0/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-04-26 10:03:50 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-04-26 10:03:50 +0000
commite2c73b39f5d8235ef6ac14bf4bb66d1b39ec2657 (patch)
tree0b37c87b394f16a8587d541694ff990251f9ef17 /main/gtk+2.0/APKBUILD
parentabbc54b57d137e56bde8b434fa97caf5ed20db50 (diff)
downloadaports-e2c73b39f5d8235ef6ac14bf4bb66d1b39ec2657.tar.gz
aports-e2c73b39f5d8235ef6ac14bf4bb66d1b39ec2657.tar.bz2
aports-e2c73b39f5d8235ef6ac14bf4bb66d1b39ec2657.tar.xz
main/gtk+2.0: fix libgtk-x11 dso
Diffstat (limited to 'main/gtk+2.0/APKBUILD')
-rw-r--r--main/gtk+2.0/APKBUILD26
1 files changed, 23 insertions, 3 deletions
diff --git a/main/gtk+2.0/APKBUILD b/main/gtk+2.0/APKBUILD
index 61df5894f0..03c815acd4 100644
--- a/main/gtk+2.0/APKBUILD
+++ b/main/gtk+2.0/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gtk+2.0
pkgver=2.24.10
-pkgrel=1
+pkgrel=2
pkgdesc="The GTK+ Toolkit (v2)"
url="http://www.gtk.org/"
install="$pkgname.post-install $pkgname.post-upgrade $pkgname.post-deinstall"
@@ -25,12 +25,14 @@ depends_dev="
pango-dev
"
makedepends="pkgconfig
+ autoconf automake libtool
$depends_dev
cups-dev
expat-dev
gettext-dev
gnutls-dev
gobject-introspection-dev
+ gtk-doc
libice-dev
libiconv-dev
jpeg-dev>=8
@@ -43,10 +45,24 @@ makedepends="pkgconfig
libxi-dev
tiff-dev
zlib-dev"
-source="http://ftp.gnome.org/pub/gnome/sources/gtk+/${pkgver%.*}/gtk+-$pkgver.tar.xz"
+source="http://ftp.gnome.org/pub/gnome/sources/gtk+/${pkgver%.*}/gtk+-$pkgver.tar.xz
+ xid-collision-debug.patch
+ gtk2-fixdso.patch
+ "
_builddir="$srcdir"/gtk+-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ libtoolize && autoreconf
+}
+
build() {
cd "$_builddir"
./configure --prefix=/usr \
@@ -55,6 +71,8 @@ build() {
--with-xinput=yes \
--without-libjasper \
--with-included-loaders=png || return 1
+ # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool || return 1
make || return 1
}
@@ -74,4 +92,6 @@ dev() {
"$subpkgdir"/usr/bin || return 1
}
-md5sums="7fdcb407dd174010a695b555bf9b65e2 gtk+-2.24.10.tar.xz"
+md5sums="7fdcb407dd174010a695b555bf9b65e2 gtk+-2.24.10.tar.xz
+22355df723f6ca358e30e6b8f0baace5 xid-collision-debug.patch
+b1f61a42b2fa3c54eb2e0d6c130a0f0a gtk2-fixdso.patch"